@import "../../styles/colors.scss";
@import "../../styles/fonts.scss";
@import "../../styles/responsive.scss";

.Home {
  min-height: 80vh;
  padding: 3rem 1.8rem;
  background-image: url(../../assets/image-home.jpg);
  background-size: cover;
  color: $secondaryColor;
  @include tablet {
    min-height: 85vh;
  }
  &__title {
    font-family: $titleFont;
    font-size: 2.3rem;
    padding-top: 3.5rem;
    @include tablet {
      font-size: 3rem;
      padding-top: 7.5rem;
    }
    @include desktop {
      padding-top: 14.5rem;
    }
  }
  &__link {
    border-style: none;
    color: $secondaryColor;
    background-color: transparent;
    font-size: 1rem;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2.5rem;
    @include tablet {
      font-size: 1.2rem;
    }
    &__icon {
      margin-right: 0.6rem;
      font-size: 1.4rem;
      @include tablet {
        font-size: 1.2rem;
      }
    }
  }
}

.fade-in {
  animation: fadeIn ease 5s;
  -webkit-animation: fadeIn ease 5s;
  -moz-animation: fadeIn ease 5s;
  -o-animation: fadeIn ease 5s;
  -ms-animation: fadeIn ease 5s;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-moz-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-o-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-ms-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
